# SET\_NET\_INFO

### ID: 17

### Payload Definition

<table><thead><tr><th width="145">Data Type</th><th width="219">Name</th><th>Description</th></tr></thead><tbody><tr><td>u32</td><td>ntp_ip_address</td><td>IP address of NTP server</td></tr><tr><td>u32</td><td>subnet_mask</td><td>Subnet of NTP server</td></tr><tr><td>u32</td><td>gateway_ip</td><td>Gateway IP address of NTP server. Only necessary if NTP server is in different subnet than device and needs to be accessed through a gateway. Otherwise can be left as 0</td></tr></tbody></table>

{% hint style="info" %}
The first octet of the IP address is placed in the least significant byte of the `u32`.\
For example, the IP address `192.168.2.2` would be packed into a `u32` like this:\
`u32 ip = (192) | (168 << 8) | (2 << 16) | (2 << 24);`
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ceruleansonar.com/c/surveyor-240-16/application-programming-interface/set_net_info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
